Page MenuHomePhabricator

ApiQueryCheckUser should use a sensible default limit
Closed, ResolvedPublic

Description

Current, the code for running checkuser via the api includes the following specification for the limit parameter:

'limit'    => [
	ApiBase::PARAM_DFLT => 1000,
	ApiBase::PARAM_TYPE => 'limit',
	ApiBase::PARAM_MIN  => 1,
	ApiBase::PARAM_MAX  => 500,
	ApiBase::PARAM_MAX2 => 5000,
],

I suggest that the default be lowered to 500, which is the de-facto limit, since (as far as I know) there are not any bots that have CU permissions. Uploading patch now.

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 27 2019, 5:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 532516 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CheckUser@master] Lower default limit for running checkuser via API to 500

https://gerrit.wikimedia.org/r/532516

@Anomie this is marked as external code review completed, and on the patch you wrote I'll leave it to maintainers of the extension to make the final call on which specific numbers to use. - no feedback from the maintainers (or anyone) since September. Would you be willing to take another look and make the final call?

daniel triaged this task as Low priority.May 4 2020, 2:41 PM

Change 532516 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Lower default limit for running checkuser via API to 500

https://gerrit.wikimedia.org/r/532516

DannyS712 closed this task as Resolved.May 14 2020, 9:20 PM
Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:43 PM